#!/bin/env dls-python
import PandATest

"""
TTL Unplugged (U) test
"""


class TtlU(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(TtlU, self).__init__(*args, **kwargs)

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connecters for TTL NOT connected, OK ? [return]"
            inputy = raw_input()

    def test_code(self):
        outputs = [1,2,3,4,5,6,7,8,9,10]
        inputs = [1,2,3,4,5,6]

        for o in outputs:
            self.set_output('TTLOUT', o, '.VAL=BITS.ONE', 'OK')
            for i in inputs:
                self.test_result.append(self.check_input('TTLIN', o, 1, i, o, 0))
            self.set_output('TTLOUT', o, '.VAL=BITS.ZERO', 'OK')
            for i in inputs:
                self.test_result.append(self.check_input('TTLIN', o, 0, i, o, 0))
        return not all(self.test_result)