#!/bin/env dls-python
import PandATest
import LvdsU
import TtlU

"""
LVDS and TTL Unplugged tests
"""


class Unplugged(PandATest.PandATest):

    def __init__(self, *args, **kwargs):
        super(Unplugged, self).__init__(*args, **kwargs)
        self.lu = LvdsU.LvdsU(*args, **kwargs)
        self.tu = TtlU.TtlU(*args, **kwargs)

    def test_code(self):
        lu_res = self.lu.test_code()
        tu_res = self.tu.test_code()

    def get_summary(self):
        summary = ["{:<10}{:<10} ERRORS: {}".format(
                                                self.lu.__class__.__name__,
                                                self.blocknum,
                                                self.lu.test_result.count(0)),
                   "{:<10}{:<10} ERRORS: {}".format(
                                                self.tu.__class__.__name__,
                                                self.blocknum,
                                                self.tu.test_result.count(0)),
        ]
        return summary

    def get_user_input(self):
        inputy = '.'
        while inputy not in ['']:
            print "Loopback connecters NOT connected, OK ? [return]"
            inputy = raw_input()